Download it now!
Bug 100201 - FORMATTING: LO 5.3 alpha0 crashes when custom color applied to cell.
Summary: FORMATTING: LO 5.3 alpha0 crashes when custom color applied to cell.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.2.0.1 target:5.3.0
Keywords: haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2016-06-03 00:20 UTC by mrelwood
Modified: 2016-10-25 18:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with symbols (9.40 KB, text/plain)
2016-06-03 21:05 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mrelwood 2016-06-03 00:20:20 UTC
Applies to daily builds:
master-2016-06-01_00.32.05_LibreOfficeDev_5.3.0.0.alpha0_MacOS_x86-64
master-2016-06-02_05.15.59_LibreOfficeDev_5.3.0.0.alpha0_MacOS_x86-64

- Create a new document, and select any cell.
- Expand the cell background color selection from toolbar.
- Select "Custom Color" at the bottom.
- Apply any color and press Enter.

LibreOfficeDev crashes and Recovery window opens up. Nothing shows up in Console or Crashreporter though.
Comment 1 mrelwood 2016-06-03 00:23:07 UTC
Forgot:

Resetting user profile (clean install) had no effect.

Using MacBook Pro 2010 running OSX 10.11.5.
Comment 2 Julien Nabet 2016-06-03 21:05:06 UTC
Created attachment 125475 [details]
bt with symbols

On pc Debian x86-64 with master sources updated today, I could reproduce the crash.
Comment 3 Julien Nabet 2016-06-03 21:14:56 UTC
I don't reproduce this with LO Debian package 5.1.3.2 => regression
Comment 4 Commit Notification 2016-06-04 19:46:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=22d4a2f8a6dbbd15ad7236a6c094804e0211bdad&h=libreoffice-5-2

Resolves: tdf#100201 crash on apply custom color

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-06-04 19:46:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=301a87c861842a616e3e5593c664980466d58ffe

Resolves: tdf#100201 crash on apply custom color

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.